aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJory Pratt <anarchy@gentoo.org>2019-04-27 17:21:42 -0500
committerJory Pratt <anarchy@gentoo.org>2019-04-27 17:21:42 -0500
commit13707ecec863a80aaa821d8650c1ef71faeb1714 (patch)
treebbb528233474ebcc323994951c3d17604af65522
parentdev-libs/nss: no need to install any of the utils (diff)
downloadmozilla-13707ecec863a80aaa821d8650c1ef71faeb1714.tar.gz
mozilla-13707ecec863a80aaa821d8650c1ef71faeb1714.tar.bz2
mozilla-13707ecec863a80aaa821d8650c1ef71faeb1714.zip
dev-libs/nss: ensure we install shlibsign, breakage from last commit
Package-Manager: Portage-2.3.65, Repoman-2.3.12 Signed-off-by: Jory Pratt <anarchy@gentoo.org>
-rw-r--r--dev-libs/nss/nss-3.43.ebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/dev-libs/nss/nss-3.43.ebuild b/dev-libs/nss/nss-3.43.ebuild
index c042193..8e716b1 100644
--- a/dev-libs/nss/nss-3.43.ebuild
+++ b/dev-libs/nss/nss-3.43.ebuild
@@ -285,6 +285,14 @@ multilib_src_install() {
# Always enabled because we need it for chk generation.
nssutils=( shlibsign )
+ if multilib_is_native_abi ; then
+ pushd dist/*/bin >/dev/null || die
+ for f in ${nssutils[@]}; do
+ dobin ${f}
+ done
+ popd >/dev/null || die
+ fi
+
# Prelink breaks the CHK files. We don't have any reliable way to run
# shlibsign after prelink.
dodir /etc/prelink.conf.d